> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.withpersona.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.withpersona.com/_mcp/server.

# List all Lists

GET https://api.withpersona.com/api/v1/lists

Returns a list of your organization's lists. Results are returned in reverse chronological order, with the most recently created objects first.

Reference: https://docs.withpersona.com/api-reference/lists/list-all-lists

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Query parameters

- `page` (ListsGetParametersPage, optional)
- `fields` (map from string to string, optional) — Comma-separated list(s) of attributes to include in the response. This can be used to customize which attributes will be serialized in the response. See [Serialization](https://docs.withpersona.com/serialization#sparse-fieldsets) for more details.
- `filter` (ListsGetParametersFilter, optional)

### Headers

- `Key-Inflection` (enum, optional) — Determines casing for the API response.
  - Allowed values: `camel`, `kebab`, `snake`
- `Idempotency-Key` (string, optional) — Ensures the request is idempotent.
- `Persona-Version` (enum, optional) — Server API version. More info on versioning can be found [here](https://docs.withpersona.com/versioning).
  - Allowed values: `2025-12-08`, `2025-10-27`, `2023-01-05`, `2022-09-01`, `2021-08-18`, `2021-07-05`, `2021-02-21`, `2020-05-18`

## Response

### 200

This endpoint returns a collection List objects.

- `data` (list of list, required) — An array of Lists
- `links` (ListsGetResponsesContentApplicationJsonSchemaLinks, required)

## Errors

### 400 Bad Request Error

The request was unacceptable, often due to invalid parameters.

- `errors` (list of ListsGetResponsesContentApplicationJsonSchemaErrorsItems, optional)

### 401 Unauthorized Error

An invalid API key was provided.

- `errors` (list of ListsGetResponsesContentApplicationJsonSchemaErrorsItems, optional)

### 403 Forbidden Error

The given API key doesn’t have permissions to perform the request or a quota has been exceeded.

- `errors` (list of ListsGetResponsesContentApplicationJsonSchemaErrorsItems, optional)

### 404 Not Found Error

The requested resource doesn’t exist.

- `errors` (list of ListsGetResponsesContentApplicationJsonSchemaErrorsItems, optional)

### 429 Too Many Requests Error

Your organization’s rate limit has been exceeded. We recommend an exponential backoff on requests.

- `errors` (list of ListsGetResponsesContentApplicationJsonSchemaErrorsItems, optional)

## Types

### ListsGetParametersPage

- `after` (string, optional) — Object ID for pagination cursor
- `before` (string, optional) — Object ID for pagination cursor
- `size` (double, optional) — Limit on the number of objects returned

### ListsGetParametersFilter

- `status` (enum, optional) — Filter lists by status
  - Allowed values: `active`, `archived`

### list

- `type`: `list/browser-fingerprint` (list/browser-fingerprint)
  - `attributes` (lists-shared-attributes, optional)
  - `id` (string, optional)
  - `relationships` (ListDiscriminatorMappingListBrowserFingerprintRelationships, optional)
- `type`: `list/country` (list/country)
  - `attributes` (lists-shared-attributes, optional)
  - `id` (string, optional)
  - `relationships` (ListDiscriminatorMappingListCountryRelationships, optional)
- `type`: `list/email-address` (list/email-address)
  - `attributes` (lists-shared-attributes, optional)
  - `id` (string, optional)
  - `relationships` (ListDiscriminatorMappingListEmailAddressRelationships, optional)
- `type`: `list/face` (list/face)
  - `attributes` (lists-shared-attributes, optional)
  - `id` (string, optional)
  - `relationships` (ListDiscriminatorMappingListFaceRelationships, optional)
- `type`: `list/geolocation` (list/geolocation)
  - `attributes` (lists-shared-attributes, optional)
  - `id` (string, optional)
  - `relationships` (ListDiscriminatorMappingListGeolocationRelationships, optional)
- `type`: `list/government-id-number` (list/government-id-number)
  - `attributes` (lists-shared-attributes, optional)
  - `id` (string, optional)
  - `relationships` (ListDiscriminatorMappingListGovernmentIdNumberRelationships, optional)
- `type`: `list/ip-address` (list/ip-address)
  - `attributes` (lists-shared-attributes, optional)
  - `id` (string, optional)
  - `relationships` (ListDiscriminatorMappingListIpAddressRelationships, optional)
- `type`: `list/name` (list/name)
  - `attributes` (ListDiscriminatorMappingListNameAttributes, optional)
  - `id` (string, optional)
  - `relationships` (ListDiscriminatorMappingListNameRelationships, optional)
- `type`: `list/phone-number` (list/phone-number)
  - `attributes` (lists-shared-attributes, optional)
  - `id` (string, optional)
  - `relationships` (ListDiscriminatorMappingListPhoneNumberRelationships, optional)

### ListsGetResponsesContentApplicationJsonSchemaLinks

- `prev` (string, required, nullable) — URL pointing to the previous page of data, or null if on the first page.
- `next` (string, required, nullable) — URL pointing to the next page of data, or null if on the last page.

### ListsGetResponsesContentApplicationJsonSchemaErrorsItems

- `title` (string, optional)
- `details` (string, optional)

### lists-shared-attributes

- `name` (string, optional)
- `status` (string, optional)
- `archived-at` (datetime, optional, nullable)
- `created-at` (datetime, optional)
- `updated-at` (datetime, optional)

### ListDiscriminatorMappingListBrowserFingerprintRelationships

- `list-items` (ListDiscriminatorMappingListBrowserFingerprintRelationshipsListItems, optional)

### ListDiscriminatorMappingListCountryRelationships

- `list-items` (ListDiscriminatorMappingListCountryRelationshipsListItems, optional)

### ListDiscriminatorMappingListEmailAddressRelationships

- `list-items` (ListDiscriminatorMappingListEmailAddressRelationshipsListItems, optional)

### ListDiscriminatorMappingListFaceRelationships

- `list-items` (ListDiscriminatorMappingListFaceRelationshipsListItems, optional)

### ListDiscriminatorMappingListGeolocationRelationships

- `list-items` (ListDiscriminatorMappingListGeolocationRelationshipsListItems, optional)

### ListDiscriminatorMappingListGovernmentIdNumberRelationships

- `list-items` (ListDiscriminatorMappingListGovernmentIdNumberRelationshipsListItems, optional)

### ListDiscriminatorMappingListIpAddressRelationships

- `list-items` (ListDiscriminatorMappingListIpAddressRelationshipsListItems, optional)

### ListDiscriminatorMappingListNameAttributes

- `allow-fuzzy-name-first` (boolean, optional)
- `archived-at` (datetime, optional, nullable)
- `created-at` (datetime, optional)
- `name` (string, optional)
- `status` (string, optional)
- `updated-at` (datetime, optional)

### ListDiscriminatorMappingListNameRelationships

- `list-items` (ListDiscriminatorMappingListNameRelationshipsListItems, optional)

### ListDiscriminatorMappingListPhoneNumberRelationships

- `list-items` (ListDiscriminatorMappingListPhoneNumberRelationshipsListItems, optional)

### ListDiscriminatorMappingListBrowserFingerprintRelationshipsListItems

- `data` (list of ListDiscriminatorMappingListBrowserFingerprintRelationshipsListItemsDataItems, optional)

### ListDiscriminatorMappingListCountryRelationshipsListItems

- `data` (list of ListDiscriminatorMappingListCountryRelationshipsListItemsDataItems, optional)

### ListDiscriminatorMappingListEmailAddressRelationshipsListItems

- `data` (list of ListDiscriminatorMappingListEmailAddressRelationshipsListItemsDataItems, optional)

### ListDiscriminatorMappingListFaceRelationshipsListItems

- `data` (list of ListDiscriminatorMappingListFaceRelationshipsListItemsDataItems, optional)

### ListDiscriminatorMappingListGeolocationRelationshipsListItems

- `data` (list of ListDiscriminatorMappingListGeolocationRelationshipsListItemsDataItems, optional)

### ListDiscriminatorMappingListGovernmentIdNumberRelationshipsListItems

- `data` (list of ListDiscriminatorMappingListGovernmentIdNumberRelationshipsListItemsDataItems, optional)

### ListDiscriminatorMappingListIpAddressRelationshipsListItems

- `data` (list of ListDiscriminatorMappingListIpAddressRelationshipsListItemsDataItems, optional)

### ListDiscriminatorMappingListNameRelationshipsListItems

- `data` (list of ListDiscriminatorMappingListNameRelationshipsListItemsDataItems, optional)

### ListDiscriminatorMappingListPhoneNumberRelationshipsListItems

- `data` (list of ListDiscriminatorMappingListPhoneNumberRelationshipsListItemsDataItems, optional)

### ListDiscriminatorMappingListBrowserFingerprintRelationshipsListItemsDataItems

Browser Fingerprint List items associated with this list.

### ListDiscriminatorMappingListCountryRelationshipsListItemsDataItems

Country List items associated with this list.

### ListDiscriminatorMappingListEmailAddressRelationshipsListItemsDataItems

Email Address List items associated with this list.

### ListDiscriminatorMappingListFaceRelationshipsListItemsDataItems

Face List items associated with this list.

### ListDiscriminatorMappingListGeolocationRelationshipsListItemsDataItems

Geolocation List items associated with this list.

### ListDiscriminatorMappingListGovernmentIdNumberRelationshipsListItemsDataItems

Government Id Number List items associated with this list.

### ListDiscriminatorMappingListIpAddressRelationshipsListItemsDataItems

Ip Address List items associated with this list.

### ListDiscriminatorMappingListNameRelationshipsListItemsDataItems

Name List items associated with this list.

### ListDiscriminatorMappingListPhoneNumberRelationshipsListItemsDataItems

Phone Number List items associated with this list.

## Examples

**Response**

```json
{
  "data": [
    {
      "type": "list/phone-number",
      "attributes": {
        "name": "My List",
        "status": "active",
        "archived-at": null,
        "created-at": "2023-08-30T21:31:06.000Z",
        "updated-at": "2023-08-30T21:31:06.000Z"
      },
      "id": "lst_kRcKDJ4c8wF2AmAghggtYxboX",
      "relationships": {
        "list-items": {
          "data": []
        }
      }
    }
  ],
  "links": {
    "prev": null,
    "next": "/api/v1/lists?page%5Bafter%5D=lst_3DS1z7bME8vWqqxmdCDqHwLm"
  }
}
```

**SDK Code**

```python Success
import requests

url = "https://api.withpersona.com/api/v1/lists"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript Success
const url = 'https://api.withpersona.com/api/v1/lists';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Success
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.withpersona.com/api/v1/lists"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Success
require 'uri'
require 'net/http'

url = URI("https://api.withpersona.com/api/v1/lists")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java Success
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.withpersona.com/api/v1/lists")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php Success
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.withpersona.com/api/v1/lists', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp Success
using RestSharp;

var client = new RestClient("https://api.withpersona.com/api/v1/lists");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift Success
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.withpersona.com/api/v1/lists")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```